//This is programmed for/compiled under Borland Turbo C++ 3.0 in MSDOS.

//Standard Module Definitions...

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <conio.h> // Include this for screen clearing

//========================================================

// Function to read a two-byte integer from a file
short ReadTwoByteValue(const char* filename, long offset) 
{
    FILE *file = fopen(filename, "rb");
    if (file == NULL) {
        printf("Error opening file %s for reading!\n", filename);
        exit(1);
    }
    
    short value;
    fseek(file, offset, SEEK_SET);
    fread(&value, sizeof(short), 1, file);
    fclose(file);
    return value;
}

// Function to write a two-byte integer to a file at a specific offset
void EditTwoByteValue(const char* filename, long offset, short stockValue, float multiplier) 
{
    FILE *file = fopen(filename, "r+b");
    if (file == NULL) {
        printf("Error opening file %s for writing!\n", filename);
        exit(1);
    }

    short modifiedValue = (short)(stockValue * multiplier);
    fseek(file, offset, SEEK_SET);
    fwrite(&modifiedValue, sizeof(short), 1, file);
    fclose(file);
}

int main() 
	{
		
	clrscr(); // Wipe Screen Clear.
	
    printf("---------------WING HARD: Version 2.0--------------\n\n");
    printf("\n#################################################\n\n");
    printf("WING HARD is designed to allow you to adjust various\n");
    printf("difficulty portions of Wing Commander I/II so that you\n");
    printf("can get the difficulty you want; to enjoy the story and\n");
    printf("have a good time in the dogfights in your middle-age;\n");
    printf("as opposed to your youth, when you had near unlimited\n");
    printf("free time to play the game over and over.\n\n");
    printf("Currently, only the GOG editions are supported. This is\n");
    printf("unlikely to change.\n\n");
	
	//IDENTIFY WHATS IN THE DIRECTORY
    int WC1 = 0, WC2 = 0;
    if (fopen("WC.EXE", "rb") && fopen("SM2.EXE", "rb")) {
        WC1 = 1;
        printf("Wing Commander 1 is in this directory!\n");
    }
    if (fopen("WC2.EXE", "rb") && fopen("SO1.EXE", "rb") && fopen("SO2.EXE", "rb")) {
        WC2 = 1;
        printf("Wing Commander 2 is in this directory!\n");
    }

    printf("\nPress A Key To Continue\n");
    getchar(); // Wait for any key press before closing

	clrscr(); // Wipe Screen Clear.
	
    printf("COMBAT DIFFICULTY - TERRAN FIGHTERS\n\n");
    printf("\n#################################################\n\n");
    printf("Combat Difficulty is changed via increasing or decreasing the\n");
    printf("shield/armor values of all TCN craft in the game through a\n");
    printf("multiplication factor.\n\n");   
    printf("Entering 0.5 will decrease shield/armor ratings by 50% (4 cm now 2 cm)\n");
    printf("Entering 1.0 will multiply by 1 and reset your game to stock values.\n");
    printf("Entering 1.5 will increase shield/armor ratings by 50% (4 cm now 6 cm)\n\n");
    printf("This will allow adjustable difficulty for the game.\n\n");
    printf("If you are playing WC2, it is recommended to keep the multiplier below\n");
    printf("1.5x to avoid the Broadsword from having Phase Transit Shields.\n\n");

    float multiplier;
    printf("Enter Multiplier Value to Use: ");
    scanf("%f", &multiplier);

	//SLOT NOTES ARE
	//
	//WING COMMANDER 1 SERIES (WC1/SM1/SM2)
	//FIGHTERS
	//Slot #1 Hornet
	//Slot #2 Rapier
	//Slot #3 Scimitar
	//Slot #4 Raptor
	//
	//SHIPS
	//Slot #5 Venture Corvette
	//Slot #6 Diligent Transport
	//Slot #7 Drayman Transport
	//Slot #8 Exeter Destroyer
	//Slot #9 Tigers Claw Carrier

    if (WC1) 
	{
        // WC1.EXE edits
		
		//HORNET
        EditTwoByteValue("WC.EXE", 98119, 40, multiplier); // WC_Slot_1_FrontShield
        EditTwoByteValue("WC.EXE", 98121, 40, multiplier); // WC_Slot_1_RearShield
        EditTwoByteValue("WC.EXE", 98123, 45, multiplier); // WC_Slot_1_FrontArmor
        EditTwoByteValue("WC.EXE", 98125, 40, multiplier); // WC_Slot_1_RearArmor
        EditTwoByteValue("WC.EXE", 98127, 30, multiplier); // WC_Slot_1_LeftArmor
        EditTwoByteValue("WC.EXE", 98129, 30, multiplier); // WC_Slot_1_RightArmor
        
		//RAPIER
        EditTwoByteValue("WC.EXE", 98230, 80, multiplier); // WC_Slot_2_FrontShield
        EditTwoByteValue("WC.EXE", 98232, 75, multiplier); // WC_Slot_2_RearShield
        EditTwoByteValue("WC.EXE", 98234, 60, multiplier); // WC_Slot_2_FrontArmor
        EditTwoByteValue("WC.EXE", 98236, 55, multiplier); // WC_Slot_2_RearArmor
        EditTwoByteValue("WC.EXE", 98238, 50, multiplier); // WC_Slot_2_LeftArmor
        EditTwoByteValue("WC.EXE", 98240, 50, multiplier); // WC_Slot_2_RightArmor
        
		//SCIMITAR
        EditTwoByteValue("WC.EXE", 98341, 60, multiplier); // WC_Slot_3_FrontShield
        EditTwoByteValue("WC.EXE", 98343, 50, multiplier); // WC_Slot_3_RearShield
        EditTwoByteValue("WC.EXE", 98345, 85, multiplier); // WC_Slot_3_FrontArmor
        EditTwoByteValue("WC.EXE", 98347, 80, multiplier); // WC_Slot_3_RearArmor
        EditTwoByteValue("WC.EXE", 98349, 65, multiplier); // WC_Slot_3_LeftArmor
        EditTwoByteValue("WC.EXE", 98351, 65, multiplier); // WC_Slot_3_RightArmor
        
		//RAPTOR
        EditTwoByteValue("WC.EXE", 98452, 70, multiplier); // WC_Slot_4_FrontShield
        EditTwoByteValue("WC.EXE", 98454, 70, multiplier); // WC_Slot_4_RearShield
        EditTwoByteValue("WC.EXE", 98456, 100, multiplier); // WC_Slot_4_FrontArmor
        EditTwoByteValue("WC.EXE", 98458, 90, multiplier); // WC_Slot_4_RearArmor
        EditTwoByteValue("WC.EXE", 98460, 80, multiplier); // WC_Slot_4_LeftArmor
        EditTwoByteValue("WC.EXE", 98462, 80, multiplier); // WC_Slot_4_RightArmor
        
        // SM2.EXE edits
		
		//HORNET
        EditTwoByteValue("SM2.EXE", 97671, 40, multiplier); // WC_SM2_Slot_1_Front_Shield
        EditTwoByteValue("SM2.EXE", 97673, 40, multiplier); // WC_SM2_Slot_1_Rear_Shield
        EditTwoByteValue("SM2.EXE", 97675, 45, multiplier); // WC_SM2_Slot_1_Front_Arm
        EditTwoByteValue("SM2.EXE", 97677, 40, multiplier); // WC_SM2_Slot_1_Rear_Arm
        EditTwoByteValue("SM2.EXE", 97679, 30, multiplier); // WC_SM2_Slot_1_Left_Arm
        EditTwoByteValue("SM2.EXE", 97681, 30, multiplier); // WC_SM2_Slot_1_Right_Arm
        
		//RAPIER
        EditTwoByteValue("SM2.EXE", 97782, 80, multiplier); // WC_SM2_Slot_2_Front_Shield
        EditTwoByteValue("SM2.EXE", 97784, 75, multiplier); // WC_SM2_Slot_2_Rear_Shield
        EditTwoByteValue("SM2.EXE", 97786, 60, multiplier); // WC_SM2_Slot_2_Front_Arm
        EditTwoByteValue("SM2.EXE", 97788, 55, multiplier); // WC_SM2_Slot_2_Rear_Arm
        EditTwoByteValue("SM2.EXE", 97790, 50, multiplier); // WC_SM2_Slot_2_Left_Arm
        EditTwoByteValue("SM2.EXE", 97792, 50, multiplier); // WC_SM2_Slot_2_Right_Arm
        
		//SCIMITAR
        EditTwoByteValue("SM2.EXE", 97893, 60, multiplier); // WC_SM2_Slot_3_Front_Shield
        EditTwoByteValue("SM2.EXE", 97895, 50, multiplier); // WC_SM2_Slot_3_Rear_Shield
        EditTwoByteValue("SM2.EXE", 97897, 85, multiplier); // WC_SM2_Slot_3_Front_Arm
        EditTwoByteValue("SM2.EXE", 97899, 80, multiplier); // WC_SM2_Slot_3_Rear_Arm
        EditTwoByteValue("SM2.EXE", 97901, 65, multiplier); // WC_SM2_Slot_3_Left_Arm
        EditTwoByteValue("SM2.EXE", 97903, 65, multiplier); // WC_SM2_Slot_3_Right_Arm
        
		//RAPTOR
        EditTwoByteValue("SM2.EXE", 98004, 70, multiplier); // WC_SM2_Slot_4_Front_Shield
        EditTwoByteValue("SM2.EXE", 98006, 70, multiplier); // WC_SM2_Slot_4_Rear_Shield
        EditTwoByteValue("SM2.EXE", 98008, 100, multiplier); // WC_SM2_Slot_4_Front_Arm
        EditTwoByteValue("SM2.EXE", 98010, 90, multiplier); // WC_SM2_Slot_4_Rear_Arm
        EditTwoByteValue("SM2.EXE", 98012, 80, multiplier); // WC_SM2_Slot_4_Left_Arm
        EditTwoByteValue("SM2.EXE", 98014, 80, multiplier); // WC_SM2_Slot_4_Right_Arm   
    }

    if (WC2) {
        // WC2.EXE edits for ships
        EditTwoByteValue("GAMEDAT\\SHIP.V00", 73369, 60, multiplier); // FERRET_FrontShield
        EditTwoByteValue("GAMEDAT\\SHIP.V00", 73371, 60, multiplier); // FERRET_RearShield
        EditTwoByteValue("GAMEDAT\\SHIP.V00", 73373, 65, multiplier); // FERRET_FrontArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V00", 73375, 65, multiplier); // FERRET_RearArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V00", 73377, 45, multiplier); // FERRET_LeftArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V00", 73379, 45, multiplier); // FERRET_RightArmor

        EditTwoByteValue("GAMEDAT\\SHIP.V01", 76852, 115, multiplier); // WC2_RAPIER_FrontShield
        EditTwoByteValue("GAMEDAT\\SHIP.V01", 76854, 115, multiplier); // WC2_RAPIER_RearShield
        EditTwoByteValue("GAMEDAT\\SHIP.V01", 76856, 75, multiplier); // WC2_RAPIER_FrontArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V01", 76858, 75, multiplier); // WC2_RAPIER_RearArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V01", 76860, 65, multiplier); // WC2_RAPIER_LeftArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V01", 76862, 65, multiplier); // WC2_RAPIER_RightArmor

        EditTwoByteValue("GAMEDAT\\SHIP.V02", 80835, 500, multiplier); // BROADSWORD_FrontShield
        EditTwoByteValue("GAMEDAT\\SHIP.V02", 80837, 500, multiplier); // BROADSWORD_RearShield
        EditTwoByteValue("GAMEDAT\\SHIP.V02", 80839, 400, multiplier); // BROADSWORD_FrontArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V02", 80841, 400, multiplier); // BROADSWORD_RearArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V02", 80843, 350, multiplier); // BROADSWORD_LeftArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V02", 80845, 350, multiplier); // BROADSWORD_RightArmor

        EditTwoByteValue("GAMEDAT\\SHIP.V03", 71028, 60, multiplier); // EPEE_FrontShield
        EditTwoByteValue("GAMEDAT\\SHIP.V03", 71030, 60, multiplier); // EPEE_RearShield
        EditTwoByteValue("GAMEDAT\\SHIP.V03", 71032, 35, multiplier); // EPEE_FrontArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V03", 71034, 35, multiplier); // EPEE_RearArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V03", 71036, 30, multiplier); // EPEE_LeftArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V03", 71038, 30, multiplier); // EPEE_RightArmor

        EditTwoByteValue("GAMEDAT\\SHIP.V04", 73040, 80, multiplier); // SABRE_FrontShield
        EditTwoByteValue("GAMEDAT\\SHIP.V04", 73042, 80, multiplier); // SABRE_RearShield
        EditTwoByteValue("GAMEDAT\\SHIP.V04", 73044, 200, multiplier); // SABRE_FrontArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V04", 73046, 200, multiplier); // SABRE_RearArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V04", 73048, 180, multiplier); // SABRE_LeftArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V04", 73050, 180, multiplier); // SABRE_RightArmor

        EditTwoByteValue("GAMEDAT\\SHIP.V15", 83841, 500, multiplier); // CROSSBOW_FrontShield
        EditTwoByteValue("GAMEDAT\\SHIP.V15", 83843, 500, multiplier); // CROSSBOW_RearShield
        EditTwoByteValue("GAMEDAT\\SHIP.V15", 83845, 400, multiplier); // CROSSBOW_FrontArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V15", 83847, 400, multiplier); // CROSSBOW_RearArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V15", 83849, 350, multiplier); // CROSSBOW_LeftArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V15", 83851, 350, multiplier); // CROSSBOW_RightArmor

        EditTwoByteValue("GAMEDAT\\SHIP.V41", 69100, 150, multiplier); // MORNINGSTAR_FrontShield
        EditTwoByteValue("GAMEDAT\\SHIP.V41", 69102, 150, multiplier); // MORNINGSTAR_RearShield
        EditTwoByteValue("GAMEDAT\\SHIP.V41", 69104, 200, multiplier); // MORNINGSTAR_FrontArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V41", 69106, 200, multiplier); // MORNINGSTAR_RearArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V41", 69108, 200, multiplier); // MORNINGSTAR_LeftArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V41", 69110, 200, multiplier); // MORNINGSTAR_RightArmor
    }

    printf("\nAll TCN Fighters have had their protective ratings multiplied by %.2fx!\n\n", multiplier);
    printf("Pausing for Acknowledgement. Press a key to continue.\n");
    getchar(); // Wait for any key press before closing

	clrscr(); // Wipe Screen Clear.

	//=============================================================================================================
    // Terran Cap Ship Difficulty Section
	//=============================================================================================================
	printf("TERRAN CAPITAL SHIP / STARBASE DIFFICULTY\n\n");
    printf("#################################################\n\n");
    printf("Entering 0.5 will decrease armor and shields by 50%\n");
    printf("Entering 1.0 will multiply by 1 and reset your game to stock values.\n");
    printf("Entering 1.5 will increase armor and shields by 50%\n\n");
    printf("Enter Multiplier Value to Use: ");
    scanf("%f", &multiplier);

    if (WC1) {
        // WC1.EXE edits for cap ships
		
		//VENTURE CORVETTE
        EditTwoByteValue("WC.EXE", 98563, 150, multiplier); // WC_Slot_5_FrontShield
        EditTwoByteValue("WC.EXE", 98565, 150, multiplier); // WC_Slot_5_RearShield
        EditTwoByteValue("WC.EXE", 98567, 110, multiplier); // WC_Slot_5_FrontArmor
        EditTwoByteValue("WC.EXE", 98569, 100, multiplier); // WC_Slot_5_RearArmor
        EditTwoByteValue("WC.EXE", 98571, 100, multiplier); // WC_Slot_5_LeftArmor
        EditTwoByteValue("WC.EXE", 98573, 100, multiplier); // WC_Slot_5_RightArmor

		// DILIGENT TRNASPORT
        EditTwoByteValue("WC.EXE", 98674, 120, multiplier); // WC_Slot_6_FrontShield
        EditTwoByteValue("WC.EXE", 98676, 120, multiplier); // WC_Slot_6_RearShield
        EditTwoByteValue("WC.EXE", 98678, 80, multiplier); // WC_Slot_6_FrontArmor
        EditTwoByteValue("WC.EXE", 98680, 80, multiplier); // WC_Slot_6_RearArmor
        EditTwoByteValue("WC.EXE", 98682, 60, multiplier); // WC_Slot_6_LeftArmor
        EditTwoByteValue("WC.EXE", 98684, 60, multiplier); // WC_Slot_6_RightArmor

		//DRAYMAN TRANSPORT
        EditTwoByteValue("WC.EXE", 98785, 120, multiplier); // WC_Slot_7_FrontShield
        EditTwoByteValue("WC.EXE", 98787, 120, multiplier); // WC_Slot_7_RearShield
        EditTwoByteValue("WC.EXE", 98789, 80, multiplier); // WC_Slot_7_FrontArmor
        EditTwoByteValue("WC.EXE", 98791, 80, multiplier); // WC_Slot_7_RearArmor
        EditTwoByteValue("WC.EXE", 98793, 60, multiplier); // WC_Slot_7_LeftArmor
        EditTwoByteValue("WC.EXE", 98795, 60, multiplier); // WC_Slot_7_RightArmor

		// EXETER DD
        EditTwoByteValue("WC.EXE", 98896, 240, multiplier); // WC_Slot_8_FrontShield
        EditTwoByteValue("WC.EXE", 98898, 240, multiplier); // WC_Slot_8_RearShield
        EditTwoByteValue("WC.EXE", 98900, 220, multiplier); // WC_Slot_8_FrontArmor
        EditTwoByteValue("WC.EXE", 98902, 200, multiplier); // WC_Slot_8_RearArmor
        EditTwoByteValue("WC.EXE", 98904, 200, multiplier); // WC_Slot_8_LeftArmor
        EditTwoByteValue("WC.EXE", 98906, 200, multiplier); // WC_Slot_8_RightArmor
		
		//TIGERS CLAW
        EditTwoByteValue("WC.EXE", 99007, 300, multiplier); // WC_Slot_9_FrontShield
        EditTwoByteValue("WC.EXE", 99009, 300, multiplier); // WC_Slot_9_RearShield
        EditTwoByteValue("WC.EXE", 99011, 240, multiplier); // WC_Slot_9_FrontArmor
        EditTwoByteValue("WC.EXE", 99013, 200, multiplier); // WC_Slot_9_RearArmor
        EditTwoByteValue("WC.EXE", 99015, 250, multiplier); // WC_Slot_9_LeftArmor
        EditTwoByteValue("WC.EXE", 99017, 250, multiplier); // WC_Slot_9_RightArmor

        // SM2.EXE edits for cap ships
		
		//VENTURE CORVETTE
        EditTwoByteValue("SM2.EXE", 98115, 150, multiplier); // WC_SM2_Slot_5_Front_Shield
        EditTwoByteValue("SM2.EXE", 98117, 150, multiplier); // WC_SM2_Slot_5_Rear_Shield
        EditTwoByteValue("SM2.EXE", 98119, 110, multiplier); // WC_SM2_Slot_5_Front_Arm
        EditTwoByteValue("SM2.EXE", 98121, 100, multiplier); // WC_SM2_Slot_5_Rear_Arm
        EditTwoByteValue("SM2.EXE", 98123, 100, multiplier); // WC_SM2_Slot_5_Left_Arm
        EditTwoByteValue("SM2.EXE", 98125, 110, multiplier); // WC_SM2_Slot_5_Right_Arm
	
		//DILIGENT TRANSPORT
        EditTwoByteValue("SM2.EXE", 98226, 120, multiplier); // WC_SM2_Slot_6_Front_Shield
        EditTwoByteValue("SM2.EXE", 98228, 120, multiplier); // WC_SM2_Slot_6_Rear_Shield
        EditTwoByteValue("SM2.EXE", 98230, 80, multiplier); // WC_SM2_Slot_6_Front_Arm
        EditTwoByteValue("SM2.EXE", 98232, 80, multiplier); // WC_SM2_Slot_6_Rear_Arm
        EditTwoByteValue("SM2.EXE", 98234, 60, multiplier); // WC_SM2_Slot_6_Left_Arm
        EditTwoByteValue("SM2.EXE", 98236, 60, multiplier); // WC_SM2_Slot_6_Right_Arm

		//DRAYMAN TRANSPORT
        EditTwoByteValue("SM2.EXE", 98337, 120, multiplier); // WC_SM2_Slot_7_Front_Shield
        EditTwoByteValue("SM2.EXE", 98339, 120, multiplier); // WC_SM2_Slot_7_Rear_Shield
        EditTwoByteValue("SM2.EXE", 98341, 80, multiplier); // WC_SM2_Slot_7_Front_Arm
        EditTwoByteValue("SM2.EXE", 98343, 80, multiplier); // WC_SM2_Slot_7_Rear_Arm
        EditTwoByteValue("SM2.EXE", 98345, 60, multiplier); // WC_SM2_Slot_7_Left_Arm
        EditTwoByteValue("SM2.EXE", 98347, 60, multiplier); // WC_SM2_Slot_7_Right_Arm

		//EXETER DD
        EditTwoByteValue("SM2.EXE", 98448, 240, multiplier); // WC_SM2_Slot_8_Front_Shield
        EditTwoByteValue("SM2.EXE", 98450, 240, multiplier); // WC_SM2_Slot_8_Rear_Shield
        EditTwoByteValue("SM2.EXE", 98452, 220, multiplier); // WC_SM2_Slot_8_Front_Arm
        EditTwoByteValue("SM2.EXE", 98454, 200, multiplier); // WC_SM2_Slot_8_Rear_Arm
        EditTwoByteValue("SM2.EXE", 98456, 200, multiplier); // WC_SM2_Slot_8_Left_Arm
        EditTwoByteValue("SM2.EXE", 98458, 200, multiplier); // WC_SM2_Slot_8_Right_Arm
		
		//TIGERS CLAW CV
        EditTwoByteValue("SM2.EXE", 98559, 300, multiplier); // WC_SM2_Slot_9_Front_Shield
        EditTwoByteValue("SM2.EXE", 98561, 300, multiplier); // WC_SM2_Slot_9_Rear_Shield
        EditTwoByteValue("SM2.EXE", 98563, 240, multiplier); // WC_SM2_Slot_9_Front_Arm
        EditTwoByteValue("SM2.EXE", 98565, 200, multiplier); // WC_SM2_Slot_9_Rear_Arm
        EditTwoByteValue("SM2.EXE", 98567, 250, multiplier); // WC_SM2_Slot_9_Left_Arm
        EditTwoByteValue("SM2.EXE", 98569, 250, multiplier); // WC_SM2_Slot_9_Right_Arm
    }
	
    if (WC2) {
        // WC2.EXE edits for ships
	
        EditTwoByteValue("GAMEDAT\\SHIP.V11", 157204, 300, multiplier); // CLYDESDALE_FrontShield
        EditTwoByteValue("GAMEDAT\\SHIP.V11", 157206, 300, multiplier); // CLYDESDALE_RearShield
        EditTwoByteValue("GAMEDAT\\SHIP.V11", 157208, 240, multiplier); // CLYDESDALE_FrontArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V11", 157210, 240, multiplier); // CLYDESDALE_RearArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V11", 157212, 220, multiplier); // CLYDESDALE_LeftArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V11", 157214, 220, multiplier); // CLYDESDALE_RightArmor

        EditTwoByteValue("GAMEDAT\\SHIP.V12", 123406, 95, multiplier); // FREETRADER_FrontShield
        EditTwoByteValue("GAMEDAT\\SHIP.V12", 123408, 95, multiplier); // FREETRADER_RearShield
        EditTwoByteValue("GAMEDAT\\SHIP.V12", 123410, 240, multiplier); // FREETRADER_FrontArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V12", 123412, 240, multiplier); // FREETRADER_RearArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V12", 123414, 200, multiplier); // FREETRADER_LeftArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V12", 123416, 200, multiplier); // FREETRADER_RightArmor

        EditTwoByteValue("GAMEDAT\\SHIP.V17", 137418, 1000, multiplier); // WATERLOO_FrontShield
        EditTwoByteValue("GAMEDAT\\SHIP.V17", 137420, 1000, multiplier); // WATERLOO_RearShield
        EditTwoByteValue("GAMEDAT\\SHIP.V17", 137422, 300, multiplier); // WATERLOO_FrontArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V17", 137424, 300, multiplier); // WATERLOO_RearArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V17", 137426, 250, multiplier); // WATERLOO_LeftArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V17", 137428, 250, multiplier); // WATERLOO_RightArmor

        EditTwoByteValue("GAMEDAT\\SHIP.V18", 176976, 5000, multiplier); // CONFEDERATION_FrontShield
        EditTwoByteValue("GAMEDAT\\SHIP.V18", 176978, 5000, multiplier); // CONFEDERATION_RearShield
        EditTwoByteValue("GAMEDAT\\SHIP.V18", 176980, 775, multiplier); // CONFEDERATION_FrontArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V18", 176982, 775, multiplier); // CONFEDERATION_RearArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V18", 176984, 675, multiplier); // CONFEDERATION_LeftArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V18", 176986, 675, multiplier); // CONFEDERATION_RightArmor

        EditTwoByteValue("GAMEDAT\\SHIP.V19", 128833, 1100, multiplier); // GILGAMESH_FrontShield
        EditTwoByteValue("GAMEDAT\\SHIP.V19", 128835, 1100, multiplier); // GILGAMESH_RearShield
        EditTwoByteValue("GAMEDAT\\SHIP.V19", 128837, 580, multiplier); // GILGAMESH_FrontArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V19", 128839, 580, multiplier); // GILGAMESH_RearArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V19", 128841, 500, multiplier); // GILGAMESH_LeftArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V19", 128843, 500, multiplier); // GILGAMESH_RightArmor

        EditTwoByteValue("GAMEDAT\\SHIP.V23", 75235, 1000, multiplier); // TERRAN_STARBASE_FrontShield
        EditTwoByteValue("GAMEDAT\\SHIP.V23", 75237, 1000, multiplier); // TERRAN_STARBASE_RearShield
        EditTwoByteValue("GAMEDAT\\SHIP.V23", 75239, 900, multiplier); // TERRAN_STARBASE_FrontArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V23", 75241, 850, multiplier); // TERRAN_STARBASE_RearArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V23", 75243, 850, multiplier); // TERRAN_STARBASE_LeftArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V23", 75245, 850, multiplier); // TERRAN_STARBASE_RightArmor

        EditTwoByteValue("GAMEDAT\\SHIP.V24", 119474, 300, multiplier); // TERRAN_SUPPLYDEPOT_FrontShield
        EditTwoByteValue("GAMEDAT\\SHIP.V24", 119476, 300, multiplier); // TERRAN_SUPPLYDEPOT_RearShield
        EditTwoByteValue("GAMEDAT\\SHIP.V24", 119478, 180, multiplier); // TERRAN_SUPPLYDEPOT_FrontArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V24", 119480, 180, multiplier); // TERRAN_SUPPLYDEPOT_RearArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V24", 119482, 160, multiplier); // TERRAN_SUPPLYDEPOT_LeftArmor
        EditTwoByteValue("GAMEDAT\\SHIP.V24", 119484, 160, multiplier); // TERRAN_SUPPLYDEPOT_RightArmor
    }

    printf("\nTerran Capital Ships / Starbases multiplied by %.2fx!\n\n", multiplier);
    printf("Pausing for Acknowledgement. Press a key to continue.\n");
    getchar(); // Wait for any key press before closing

	clrscr(); // Wipe Screen Clear.
	
    // Asteroid Difficulty Section
    printf("ASTEROID DIFFICULTY\n\n");
    printf("#################################################\n\n");
    printf("Asteroid Difficulty is changed via changing the radius of asteroids\n");
    printf("in the game via a multiplier. Radius is effectively the size of the\n");
    printf("in-game collision hitbox.\n\n");
    printf("Stock Asteroids have a radius of 100 in both WC1 and WC2.\n\n");
    printf("Entering 0.5 will decrease radius by 50% (100 radius becomes 50 radius)\n");
    printf("Entering 1.0 will multiply by 1 and reset your game to stock values.\n");
    printf("Entering 1.5 will increase radius by 50% (100 radius becomes 150 radius)\n\n");
    printf("This will allow adjustable difficulty for in-game asteroid fields.\n\n");
    printf("NOTE: Entering 0.05 will decrease asteroid radius to 5, effectively\n");
    printf("neutering asteroid fields in the game, useful if you don't want to deal\n");
    printf("with them again.\n\n");
    printf("Enter Multiplier Value to Use: ");
    scanf("%f", &multiplier);

    if (WC1) {
        // WC1.EXE asteroid edits
        EditTwoByteValue("WC.EXE", 101806, 100, multiplier); // WC_Asteroid_1_Radius
        EditTwoByteValue("WC.EXE", 101917, 100, multiplier); // WC_Asteroid_2_Radius
        EditTwoByteValue("WC.EXE", 102028, 100, multiplier); // WC_Asteroid_3_Radius
        EditTwoByteValue("WC.EXE", 102139, 100, multiplier); // WC_Asteroid_4_Radius
        EditTwoByteValue("WC.EXE", 102250, 100, multiplier); // WC_Asteroid_5_Radius
        EditTwoByteValue("WC.EXE", 102361, 100, multiplier); // WC_Asteroid_6_Radius
        
        // SM2.EXE asteroid edits
        EditTwoByteValue("SM2.EXE", 101358, 100, multiplier); // WC_SM_Asteroid_1_Radius
        EditTwoByteValue("SM2.EXE", 101469, 100, multiplier); // WC_SM_Asteroid_2_Radius
        EditTwoByteValue("SM2.EXE", 101580, 100, multiplier); // WC_SM_Asteroid_3_Radius
        EditTwoByteValue("SM2.EXE", 101691, 100, multiplier); // WC_SM_Asteroid_4_Radius
        EditTwoByteValue("SM2.EXE", 101802, 100, multiplier); // WC_SM_Asteroid_5_Radius
        EditTwoByteValue("SM2.EXE", 101913, 100, multiplier); // WC_SM_Asteroid_6_Radius
    }

    if (WC2) {
        // WC2.EXE asteroid edits
        EditTwoByteValue("WC2.EXE", 121624, 100, multiplier); // WC2_Asteroid_1_Radius
        EditTwoByteValue("WC2.EXE", 121867, 100, multiplier); // WC2_Asteroid_2_Radius
        EditTwoByteValue("WC2.EXE", 122110, 100, multiplier); // WC2_Asteroid_3_Radius
        EditTwoByteValue("WC2.EXE", 122353, 100, multiplier); // WC2_Asteroid_4_Radius
        EditTwoByteValue("WC2.EXE", 122596, 100, multiplier); // WC2_Asteroid_5_Radius
        EditTwoByteValue("WC2.EXE", 122839, 100, multiplier); // WC2_Asteroid_6_Radius
        
        // SO1.EXE asteroid edits
        EditTwoByteValue("SO1.EXE", 121938, 100, multiplier); // WC2_SO1_Asteroid_1_Radius
        EditTwoByteValue("SO1.EXE", 122181, 100, multiplier); // WC2_SO1_Asteroid_2_Radius
        EditTwoByteValue("SO1.EXE", 122424, 100, multiplier); // WC2_SO1_Asteroid_3_Radius
        EditTwoByteValue("SO1.EXE", 122667, 100, multiplier); // WC2_SO1_Asteroid_4_Radius
        EditTwoByteValue("SO1.EXE", 122910, 100, multiplier); // WC2_SO1_Asteroid_5_Radius
        EditTwoByteValue("SO1.EXE", 123153, 100, multiplier); // WC2_SO1_Asteroid_6_Radius
        
        // SO2.EXE asteroid edits
        EditTwoByteValue("SO2.EXE", 120504, 100, multiplier); // WC2_SO2_Asteroid_1_Radius
        EditTwoByteValue("SO2.EXE", 120747, 100, multiplier); // WC2_SO2_Asteroid_2_Radius
        EditTwoByteValue("SO2.EXE", 120990, 100, multiplier); // WC2_SO2_Asteroid_3_Radius
        EditTwoByteValue("SO2.EXE", 121233, 100, multiplier); // WC2_SO2_Asteroid_4_Radius
        EditTwoByteValue("SO2.EXE", 121476, 100, multiplier); // WC2_SO2_Asteroid_5_Radius
        EditTwoByteValue("SO2.EXE", 121719, 100, multiplier); // WC2_SO2_Asteroid_6_Radius
    }

    printf("\nAll Asteroids have had their in-game radius multiplied by %.2fx!\n\n", multiplier);
    printf("Pausing for Acknowledgement. Press a key to continue.\n");
    getchar(); // Wait for any key press before closing

	clrscr(); // Wipe Screen Clear.

    // Mine Difficulty Section
    printf("MINE DIFFICULTY\n\n");
    printf("#################################################\n\n");
    printf("Minefield Difficulty is changed via changing the radius of the mines\n");
    printf("along with their explosive power via a multiplier. Radius is effectively\n");
    printf("the size of the in-game collision hitbox.\n\n");
    printf("Stock Mines have a radius of 20 and an expl. power of 10,000 in WC1.\n\n");
    printf("Stock Mines have a radius of 20 and an expl. power of 20,000 in WC2.\n\n");
    printf("Entering 0.5 will decrease radius and explosion by 50%\n");
    printf("Entering 1.0 will multiply by 1 and reset your game to stock values.\n");
    printf("Entering 1.5 will increase radius and explosion by 50%\n\n");
    printf("This will allow adjustable difficulty for in-game minefields.\n\n");
    printf("NOTE: Entering 0 will decrease mine radius and explosive power to 0;\n");
    printf("effectively neutering minefields in the game, useful if you don't\n");
    printf("want to deal with them again.\n\n");
    printf("Enter Multiplier Value to Use: ");
    scanf("%f", &multiplier);

    if (WC1) {
        // WC1.EXE mine edits
        EditTwoByteValue("WC.EXE", 101695, 20, multiplier); // WC_Mine_Radius
        EditTwoByteValue("WC.EXE", 101709, 10000, multiplier); // WC_Mine_Explosion

        // SM2.EXE mine edits
        EditTwoByteValue("SM2.EXE", 101247, 20, multiplier); // WC_SM2_Mine_Radius
        EditTwoByteValue("SM2.EXE", 101261, 10000, multiplier); // WC_SM2_Mine_Explosion
    }
	
	//WC2 mine data is stored as Porcupine: then 10 0 0 0 21 0 20 0
	
    if (WC2) {
        // WC2.EXE mine edits
        EditTwoByteValue("WC2.EXE", 121381, 20, multiplier); // WC2_Mine_Radius
        EditTwoByteValue("WC2.EXE", 121395, 20000, multiplier); // WC2_Mine_Explosion
        
        // SO1.EXE mine edits
        EditTwoByteValue("SO1.EXE", 121695, 20, multiplier); // WC2_SO1_Mine_Radius
        EditTwoByteValue("SO1.EXE", 121709, 20000, multiplier); // WC2_SO1_Mine_Explosion
        
        // SO2.EXE mine edits
        EditTwoByteValue("SO2.EXE", 120261, 20, multiplier); // WC2_SO2_Mine_Radius
        EditTwoByteValue("SO2.EXE", 120275, 20000, multiplier); // WC2_SO2_Mine_Explosion
    }
	
    printf("\nAll Mines have had their in-game radius multiplied by %.2fx!\n\n", multiplier);
    printf("\nAll Edits Completed and paused for achnowledgement....Press A Key To Continue\n");
	
    getchar(); // Wait for any key press before closing
	
	//We now exit the program....
    return 0;
	}